Subject: Re: bug#20463: 25.0.50; New deletion commands in buffer-menu [PATCH]

From: Filipp Gunbin <[email-masked]>
Date: Thu, 30 Apr 2015 19:06:25 +0300

On 30/04/2015 03:12 -0400, Glenn Morris wrote:

> Filipp Gunbin wrote:
>
>> What about these new commands in buffer-menu?  I find these useful in
>> sessions with lots of buffers.
>>
>> `D m' Prompt for major mode name and delete all buffers in that mode.
>>
>> `D b' Prompt for regexp and mark for deletion all buffers with matching
>> names.
>>
>> `D f' Prompt for regexp and mark for deletion all buffers with mathing
>> file names.
>
>
> IMO the right solution is to replace buffer-menu with the more
> featureful ibuffer, which already does all those things and more.
>
> It's a long-standing TODO item; eg
> http://lists.gnu.org/archive/html/emacs-devel/2010-10/msg00305.html
>
> (the length of that thread suggests it's one of those "fun" Emacs topics
> with more heat than light.)

Oh, yes, ibuffer.  Probably it's cool, but for me it's a bit overloaded
with features.

The intent for the commands above was to simplify buffer set cleanup
(which I do at most daily).  Like extended `kill-matching-buffers'.

Maybe add a few commands similar to `kill-matching-buffers' instead of
extending buffer-menu?  A user option could be used to control whether
to query or not (I don't want to be queried 100 times in a row).

Filipp